Skip to main content
`Ctrl`+`K`

# TSGetOptionsPrefix

Sets the prefix used for searching for all `TS` options in the database.

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSGetOptionsPrefix(TS ts, const char *prefix[])

Not Collective

## Input Parameter

- ts - The `TS` context

## Output Parameter

- prefix - A pointer to the prefix string used

## See Also

TS: Scalable ODE and DAE Solvers, `TS`, `TSAppendOptionsPrefix()`, `TSSetFromOptions()`

## Level

intermediate

## Location

src/ts/interface/ts.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages